Bug 654056 - changing user password does not change gnome-keyring passphrase
Summary: changing user password does not change gnome-keyring passphrase
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-keyring
Version: 6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Tomáš Bžatek
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-16 18:16 UTC by Matthew Mosesohn
Modified: 2015-03-03 22:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-18 13:25:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Mosesohn 2010-11-16 18:16:56 UTC
Description of problem:

It's great that the gnome-keyring Login keyring is set up with the same password as the user's password, but if you change your local password, the gnome-keyring Login keyring does not update its password.

Version-Release number of selected component (if applicable):
gnome-keyring-2.28.2-6.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. # useradd testuser
2. # passwd testuser
3. log in as testuser to a gnome session
4. enter a WEP key to make a keyring entry
5. $ passwd   (change to a new password)
6. Go to Applications -> Accessories -> Passwords and Encryption Keys
7. Right click login keyring, choose Lock
8. Right click login keyring, choose Unlock

Actual results:
The keyring is only accessible with the former password

Expected results:
The keyring should be accessible with the newly changed password

Additional info:

Comment 2 Matthew Mosesohn 2010-11-16 19:01:41 UTC
I need to cancel this request.  I ended up changing pw as root, and that's how it broke.  I tried again changing as the user, and it works fine.

Sorry for the trouble

Comment 3 Tomáš Bžatek 2010-11-18 13:25:43 UTC
(In reply to comment #2)
> I need to cancel this request.  I ended up changing pw as root, and that's how
> it broke.  I tried again changing as the user, and it works fine.
> 
> Sorry for the trouble
Yes, this is principal limitation, you first need to unlock existing keyring and change a password then.


Note You need to log in before you can comment on or make changes to this bug.